> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/produktion.md).

# Produktion

Funktionen zur Verarbeitung von Produktionsbelegen

## GET /erp/fabrication/{fabricationOrderId}/revert/{lineId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Produktion","description":"Funktionen zur Verarbeitung von Produktionsbelegen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert/{lineId}":{"get":{"tags":["Produktion"],"operationId":"getDetailsForProductionReversalOfDocumentLine","parameters":[{"name":"fabricationOrderId","in":"path","description":"ID des Produktionsbelegs","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lineId","in":"path","description":"ID der zu produzierenden Position","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-fabrication-DetailsForProductionReversal"}}}}}}}},"components":{"schemas":{"erp-fabrication-DetailsForProductionReversal":{"description":"Details zur Stornierung einer Position","properties":{"documentId":{"type":"integer","format":"int64","description":"ID des Belegs"},"documentLineId":{"type":"integer","format":"int64","description":"ID der Belegposition"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"producedQuantity":{"type":"number","description":"Noch zu produzierende Menge"},"producedSerialNumbers":{"type":"array","description":"Produzierte Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationProducedSerialNumber"}},"usedComponents":{"type":"array","description":"Verbaute Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationUsedComponent"}}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-fabrication-FabricationProducedSerialNumber":{"description":"Produzierte Seriennummer zu einer Position","properties":{"articleSerialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Menge"}}},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-fabrication-FabricationUsedComponent":{"description":"Verbaute Komponenten","properties":{"documentLineComponentId":{"type":"integer","format":"int64","description":"ID der Komponente"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Verbaute Menge"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]}}}}}}
```

## POST /erp/fabrication/{fabricationOrderId}/revert/{lineId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Produktion","description":"Funktionen zur Verarbeitung von Produktionsbelegen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert/{lineId}":{"post":{"tags":["Produktion"],"operationId":"revertProducedArticle","parameters":[{"name":"fabricationOrderId","in":"path","description":"ID des Produktionsbelegs","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lineId","in":"path","description":"ID der zu stornierenden Position","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-fabrication-FabricationRevertRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-Document"}}}}}}}},"components":{"schemas":{"erp-fabrication-FabricationRevertRequest":{"description":"Details zur Stornierung der Produktion einer Position","properties":{"documentLineId":{"type":"integer","format":"int64","description":"ID der zu stornierenden Position"},"quantity":{"type":"number","description":"Zu stornierende Menge"},"autoRevertComponents":{"type":"boolean","default":true,"description":"Material automatisch stornieren"},"serialNumbers":{"type":"array","description":"Zu stornierende Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}},"componentsToRevert":{"type":"array","description":"Zu stornierendes Material","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationComponentForProduction"}}},"required":["documentLineId","quantity"]},"erp-fabrication-FabricationSerialNumber":{"description":"Zu produzierende Seriennummer","properties":{"quantity":{"type":"number","description":"Abweichende Menge für Chargen"},"serialNumberId":{"type":"integer","format":"int64","description":"ID der zu produzierenden Seriennummer (nur zur gezielten Produktion von bereits definierten Seriennummern)"},"serialNumber1":{"type":"string","description":"Seriennummer 1"},"serialNumber2":{"type":"string","description":"Seriennummer 2"},"expiryDate":{"type":"string","format":"date","description":"MHD / Verfallsdatum"},"note":{"type":"string","description":"Bemerkung"}}},"erp-fabrication-FabricationComponentForProduction":{"description":"Für die Produktion zu verwendendes Material","properties":{"serialNumberId":{"type":"integer","format":"int64","description":"Zu produzierende Seriennummer, für die die Komponente verwendet werden"},"documentLineComponentId":{"type":"integer","format":"int64","description":"ID der Komponente"},"articleSerialNumberId":{"type":"integer","format":"int64","description":"ID einer Seriennummer"},"quantity":{"type":"number","description":"Zu verwendende Menge"}},"required":["documentLineComponentId","quantity"]},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Belegnummer","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Kontonummer der zugehörigen Organisationseinheit","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Kundennummer","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Kundennummer beim Lieferanten","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Lieferantennummer","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Vertreternummer","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"Externe Kennung","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"Externe Belegnummer","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?","readOnly":true},"frozen":{"type":"boolean","default":false,"description":"Ist der Beleg festgeschrieben?","readOnly":true},"qualifier":{"type":"string","description":"Art des Belegs","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION"],"readOnly":true},"accountId":{"type":"string","description":"ID der Organisationseinheit"},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Belegdatum"},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"taxable":{"type":"boolean","default":true,"description":"Steuerpflichtig oder steuerfrei"},"taxIdentificationNumber":{"type":"string","description":"Umsatzsteuer-Identifikationsnummer","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Überprüfungsstatus der Steueridentifikationsnummer","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validierungsstatus bei elektronischen Rechnungen","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Abrechnungstyp","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Belegtyp (intern)","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"ID des Belegtyps","readOnly":true},"documentTypeCategory":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"currencyCode":{"type":"string","description":"Währung (ISO-Code, Alpha-3)"},"exchangeRate":{"type":"number","description":"Wechselkurs"},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Ursprung für Währungskursermittlung","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Gesamtpreis vor Rabatt [BRUTTO, NETTO]","readOnly":true},"totalPriceModifier":{"type":"number","description":"Rabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Positionsrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Belegrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalNetPrice":{"type":"number","description":"Gesamtpreis netto","readOnly":true},"totalVat":{"type":"number","description":"Gesamte Mehrwertsteuer","readOnly":true},"totalGrossPrice":{"type":"number","description":"Gesamtpreis brutto","readOnly":true},"roundingAmount":{"type":"number","description":"Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag"},"depositPaymentDate":{"type":"string","format":"date","description":"Vereinbartes Anzahlungsdatum","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Voraussichtliches Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Voraussichtliche Paketanzahl (nur Info)"},"deliveryText":{"type":"string","description":"Zusätzlicher Liefertext","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Ist der Beleg zur Lieferung freigegeben?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Bestelldatum"},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name der bestellenden Person","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Reverse-Charge-Verfahren nach §13b UStG?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Sammelrechnung?"},"texts":{"type":"array","description":"Liste der Belegtexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Liste der Belegpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Versandkostenpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"Kassen-Zahlungspositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Summe der Versandkosten (netto/brutto)","readOnly":true},"priceModifiers":{"type":"array","description":"Preisänderungen (z.B. Rabatte)","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Steuerzusammenfassung für diesen Beleg","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Stapelverarbeitungsinformationen für Aufträge","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priorität in der Stapelverarbeitung"},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximal mögliche Lieferungen"},"taxPerformanceLocation":{"type":"string","description":"Ort der steuerlichen Leistungserbringung","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"performanceCountryCode":{"type":"string","description":"Länderkennzeichen Leistungsland (ISO Alpha-3)"},"sourceCountryCode":{"type":"string","description":"Länderkennzeichen Ursprungsland (ISO Alpha-3)"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"Gesamtgewicht wurde manuell gesetzt"},"tags":{"type":"array","description":"Tags für diesen Beleg","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Skontofähiger Bruttogesamtbetrag","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931-Profil für elektronische Rechnungen","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Importmodus des Belegs","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE","EXTERNALLY_CREATED"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Zahlungsplan vorhanden?"},"calculationMode":{"type":"string","description":"Berechnungsmodus","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Wird vom Workflow verarbeitet?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Bestellnummer aus Vorbeleg","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Sprache"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Belegs"},"baseTotalNetPrice":{"type":"number","description":"Gesamtpreis - Netto Basiswährung"},"baseTotalLinePriceModifier":{"type":"number","description":"Preisanpassungen - Belegpositionssumme Basiswährung"},"baseTotalDocumentPriceModifier":{"type":"number","description":"Preisanpassungen - Beleg Basiswährung"},"baseTotalGrossPrice":{"type":"number","description":"Gesamtpreis - Brutto Basiswährung"},"baseDepositPaymentAmount":{"type":"number","description":"Vorkassebetrag Basiswährung"},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"skontierbarer Rechnungsbetrag Basiswährung"},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"E-Mail an Versender übergeben"},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Telefon an Versender übergeben"},"posReceiptPaymentSum":{"type":"number","description":"Quittung: Summe Zahlbetrag"},"posReceiptBalance":{"type":"number","description":"Quittung: Saldo\npositiver Wert: Betrag der noch zu zahlen ist\nnegativer Wert: überzahlter Betrag / Rückgeld\n"},"posReceiptChangeAmount":{"type":"number","description":"Rückgeld"},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld\ntrue wenn die Quittung ausbalanciert ist\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Ist die Quittung bezahlt\ntrue wenn die Quittung bezahlt ist\n"},"dropShipping":{"type":"boolean","description":"Streckengeschäft","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-document-DocumentTypeState":{"description":"Statusinstanz des Belegs","properties":{"label":{"type":"string","description":"label/name of this state"},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]},"erp-document-PaymentTermRef":{"description":"Refernez auf PaymentTerm mit Kennzeichen Anzahlung/Vorkasse","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true},"paymentType":{"type":"string","description":"payment type","enum":["PREPAYMENT","PAYMENT","DEPOSIT"]}},"required":["id","paymentType"]},"erp-document-DocumentText":{"description":"Texte","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"textPosition":{"type":"string","default":"HEADER_TEXT","description":"position relative to the product line OR Document. For usage within text-line, this position is irrelevant","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"if this attribute is used, the text is used as free-text"},"textTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transferableIntoSubsequentDocuments":{"type":"boolean","default":true,"description":"Does this text remain after transfer into a subsequent document"},"deleted":{"type":"boolean","default":false,"description":"Wurde entfernt und soll deshalb nicht mehr angezeigt werden."},"initialized":{"type":"boolean","description":"ist der content befüllt?","readOnly":true}},"required":["deleted"]},"erp-document-DocumentLine":{"description":"Liste der Belegpositionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer","readOnly":true},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Positionsnummer über alle Artikelpositionen hinweg","readOnly":true},"articleId":{"type":"string","description":"Artikel"},"lineType":{"type":"string","description":"Positionstyp","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS","ROUNDING_LINE","OPEN_ITEM_SETTLEMENT","ON_ACCOUNT_PAYMENT"]},"productType":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"number":{"type":"string","description":"Artikelnummer","maxLength":255,"minLength":0},"name":{"type":"string","description":"Name des Artikels","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung des Artikels","maxLength":2147483647,"minLength":0},"unitType":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"price":{"type":"number","description":"Preis pro Menge [Brutto, Netto]"},"priceUnit":{"type":"number","description":"Preiseinheit"},"priceOrigin":{"type":"string","description":"Preisherkunft","enum":["USER_DEFINED","PRODUCT","PREDECESSOR_DOCUMENT","PICKLIST"],"readOnly":true},"priceSelectionCriteria":{"$ref":"#/components/schemas/erp-product-PriceSelectionCriteria"},"quantity":{"type":"number","description":"Menge"},"quantityCommitted":{"type":"number","description":"verarbeitete Menge","readOnly":true},"pickingQuantity":{"type":"number","description":"Menge in Pick-Vorgang","readOnly":true},"preOrderPickedQuantity":{"type":"number","description":"vorgeorderte Menge in Pickvorgang","readOnly":true},"complete":{"type":"boolean","default":false,"description":"ist diese Position komplett verarbeitet?","readOnly":true},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxes":{"type":"array","description":"Steuern","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"totalLinePriceModifier":{"type":"number","description":"Summe Positionspreisänderungen [Brutto, Netto]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Summe Dokumentpreisänderungen [Brutto, Netto]","readOnly":true},"priceModifiers":{"type":"array","description":"angewendete Preisänderungen","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"salesValueNet":{"type":"number","description":"Netto-Gesamtpreis (nach Preisänderungen)","readOnly":true},"vat":{"type":"number","description":"Steuerbetrag","readOnly":true},"totalLinePrice":{"type":"number","description":"Positionssumme [Brutto, Netto], also Preis*Menge ./. Positionsrabatte","readOnly":true},"texts":{"type":"array","description":"Positionstexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"country":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"countryRegion":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customsTariffNumber":{"type":"string","description":"Zolltarifnummer","maxLength":15,"minLength":0},"deliveryDate":{"type":"string","format":"date","description":"Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"vorr. Ende des Lieferzeitraums (nur notwendig für Lieferzeiträume, wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"bestätigtes Ende des Lieferzeitraums (nur notwendig für Lieferrzeiträume, wenn Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryText":{"type":"string","description":"Liefertext","maxLength":255,"minLength":0},"packageOptions":{"type":"string","description":"Versenderspezifische Informationen"},"externalReferenceVds":{"type":"string","description":"Externe Referenz zum VDS-Paket","maxLength":255,"minLength":0},"netWeight":{"type":"number","description":"Nettogewicht"},"totalNetWeight":{"type":"number","description":"Gesamtnettogewicht"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossWeight":{"type":"number","description":"Bruttogewicht"},"totalGrossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"Inhalt der Maßeinheit"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"Inhalt der Grundeinheit"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sourceLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"baseLineId":{"type":"integer","format":"int64","description":"Referenz zur Basiszeile"},"mainArticleLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemBalance":{"type":"number","description":"Offener Restbetrag des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemPaymentDueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemDiscountAmount":{"type":"number","description":"Zum Belegdatum anwendbares Skonto des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemComment":{"type":"string","description":"Bemerkung zur OP-Position - wird beim Abschluss in den Kommentar des Offenen Postens übernommen"},"customerOrderLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"supplierOrderLineIds":{"type":"array","description":"Referenz zur Lieferantenbestellungszeile","items":{"type":"integer","format":"int64","description":"Referenz zur Lieferantenbestellungszeile"}},"storage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"components":{"type":"array","description":"Komponenten","items":{"$ref":"#/components/schemas/erp-document-DocumentLineComponent"}},"fabricationComponents":{"type":"array","description":"Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationComponent"}},"bookings":{"type":"array","description":"Buchungen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"commissions":{"type":"array","description":"Provisionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineCommission"}},"previousDecisions":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"articleTaxLiabilityReversed":{"type":"boolean","default":false,"description":"Vorgabe §13b UStG Artikel","readOnly":true},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"wird §13b UStG angewendet?","readOnly":true},"presetPrice":{"type":"number","description":"Vorgabewert für die Preiskalkulation","readOnly":true},"calculationData":{"type":"string","description":"Kalkulationsstruktur"},"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"commissionOrigin":{"type":"string","description":"Provisionsursprung","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"cashDiscountable":{"type":"boolean","default":true,"description":"skontierbare Position?"},"discountable":{"type":"boolean","default":true,"description":"rabattierbare Position?"},"commissionable":{"type":"boolean","default":false,"description":"provisionierbare Position?"},"warrantyInMonths":{"type":"integer","format":"int32","description":"Garantie in Monaten"},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetail"},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variantValues":{"type":"array","description":"Produktvariantenwerte","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"basePrice":{"type":"number","description":"Preis pro Einheit in Basiswährung"},"baseTotalLinePriceModifier":{"type":"number","description":"Preisanpassungen - Position Basiswährung"},"baseTotalDocumentPriceModifier":{"type":"number","description":"Preisanpassungen - anteilig durch Beleg Basiswährung"},"baseTotalLinePrice":{"type":"number","description":"Gesamtpreis Position in Basiswährung"},"baseSalesValueNet":{"type":"number","description":"Nettoverkaufswert der Position in Basiswährung"},"progressInvoice":{"type":"boolean","default":false,"description":"Abschlagsposition?"},"dropShippingPolicy":{"type":"string","description":"Definiert, ob und wie ein Artikel per Streckengeschäft verkauft werden darf","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"unitGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters"},"totalGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters","readOnly":true},"convertedIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"insertTerm":{"type":"string","description":"Zubehör Einfügeart","enum":["MANUAL","AUTOMATIC_QUANTITY_IF_ACCESSORY_INSERTED","AUTOMATIC_PROPORTIONAL_QUANTITY","AUTOMATIC_FIXED_QUANTITY"]},"hasAccessories":{"type":"boolean","default":false,"description":"Hat der Artikel Zubehör?"},"recalcLinePriceViaComponents":{"type":"boolean","default":false,"description":"Soll die DocumentLine über die Komponenten neu berechnet werden?"},"doPrintLabel":{"type":"boolean","description":"Soll zu der Position Etiketten gedruckt werden."}},"required":["lineType"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-PriceSelectionCriteria":{"description":"Preisermittlungskriterien","properties":{"qualifier":{"type":"string","description":"ein qualifier","enum":["SALES","PURCHASE"]},"articleIds":{"type":"array","description":"Liste von Artikel-IDs","items":{"type":"integer","format":"int64","description":"Liste von Artikel-IDs"}},"selectOnlyDefaultPrice":{"type":"boolean","default":false,"description":"soll nur der Standardpreis selektiert werden?"},"accountIds":{"type":"array","description":"Liste von Account-IDs","items":{"type":"integer","format":"int64","description":"Liste von Account-IDs"}},"productGroupId":{"type":"integer","format":"int64","description":"Die Warengruppe"},"priceGroupId":{"type":"integer","format":"int64","description":"Die Preisgruppe"},"date":{"type":"string","format":"date","description":"Ein Datum"},"quantity":{"type":"number","description":"Eine Menge"},"noteSpecialOfferPrice":{"type":"boolean","description":"Aktionspreis beachten?"}}},"erp-document-DocumentTax":{"description":"Steuerzusammenfassung für diesen Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxableAmount":{"type":"number","description":"taxable amount"},"taxValue":{"type":"number","description":"tax value"},"grossAmount":{"type":"number","description":"gross amount"},"taxType":{"type":"string","description":"Steuer-Typ","enum":["VAT"]},"taxFree":{"type":"boolean","default":false,"description":"Steuerfrei?"},"baseTaxableAmount":{"type":"number","description":"Besteuerbarer Betrag in Basiswährung"},"baseTaxValue":{"type":"number","description":"Steuerbetrag in Basiswährung"},"baseGrossAmount":{"type":"number","description":"Bruttobetrag in Basiswährung"}}},"erp-document-DocumentPriceModifier":{"description":"Preisänderungen (z.B. Rabatte)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name of modifier"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Value"},"calculatedValue":{"type":"number","description":"calculated discount/surcharge"},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP"]},"sourceId":{"type":"integer","format":"int64","description":"ID of Source entity of price modifier"},"modifierType":{"type":"string","description":"modifierType","enum":["DISCOUNT","SURCHARGE"]},"baseValue":{"type":"number","description":"Wert des Modifiers in Basiswährung"},"baseCalculatedValue":{"type":"number","description":"Berechneter Wert des Modifiers in Basiswährung"}},"required":["modifierType","value","valueType"]},"common-masterdata-CountryReference":{"description":"Land (Iso-A-2)","properties":{"id":{"type":"integer","format":"int64","description":"ID des Landes"},"isoAlpha2":{"type":"string","description":"IsoAlpha2-Code des Landes"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code des Landes"},"label":{"type":"string","description":"Bezeichnung des Landes","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Referenz auf eine Documentline","properties":{"id":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"documentId":{"type":"integer","format":"int64","description":"Id des Dokuments"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"},"articleNumber":{"type":"string","description":"Artikelnummer"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer"},"name":{"type":"string","description":"Artikelbezeichnung","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Kurzbezeichnung des Kunden"}},"required":["id"]},"erp-document-DocumentLineComponent":{"description":"Komponenten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Referenz auf den Artikel der Komponente"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"quantity":{"type":"number","description":"Menge"},"price":{"type":"number","description":"Einzelpreis"},"quantityCommitted":{"type":"number","description":"Gelieferte Menge"},"pickingQuantity":{"type":"number","description":"Menge in Kommissionierung"},"quantityPerAssemblyGroup":{"type":"number","description":"Menge pro Baugruppe"},"name":{"type":"string","description":"Name des Artikels","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung des Artikels","maxLength":2048,"minLength":0},"position":{"type":"integer","format":"int32","description":"Position der Komponente in der Baugruppe"},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Referenz auf die Komponente im Quell-Document"},"bookings":{"type":"array","description":"Buchungen zu dieser Komponente","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"texts":{"type":"array","description":"Texte zu dieser Komponente","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineComponentFabricationDetail"}},"required":["quantity"]},"erp-document-DocumentLineBooking":{"description":"Buchungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Gebuchte Menge"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["quantity","storageBinRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"erp-fabrication-DocumentLineComponentFabricationDetail":{"description":"Produktionsdetails zu einer Komponente","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialInheritanceComponent":{"type":"boolean","default":false,"description":"Für S/N-Vererbung verwenden"},"deviatingUnitPrice":{"type":"number","description":"Abweichende Herstellungskosten"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-product-ProductArticleRef":{"description":"alle artikel, die zu diesem Produkt gehören","properties":{"id":{"type":"integer","format":"int64","description":"Article ID"},"number":{"type":"string","description":"Article number"},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"erp-fabrication-DocumentLineFabricationComponent":{"description":"Document-Line-Component eines Produktionsartikels in Kunden-Angeboten und -Aufträgen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position"},"componentArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"quantity":{"type":"number","description":"Menge"},"deviatingUnitRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deviatingUnitPrice":{"type":"number","description":"Abweichende Herstellungskosten"},"forSerialInheritance":{"type":"boolean","default":false,"description":"Basis für die Vererbung der Seriennummer"},"name":{"type":"string","description":"Bezeichnung","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung","maxLength":2147483647,"minLength":0}},"required":["componentArticleRef","quantity"]},"erp-document-DocumentLineCommission":{"description":"Provisionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesAgentAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Beschreibung"},"comment":{"type":"string","description":"Kommentar"},"valueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Provision Prozent/Wert"},"origin":{"type":"string","description":"Herkunft","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"valueCurrencyCode":{"type":"string","description":"the currency-code IsoAlpha3"}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-document-RevenueCalculation":{"description":"Rohertragsermittlung","properties":{"productPurchasePrice":{"type":"number","description":"Einkaufspreis","readOnly":true},"salesValue":{"type":"number","description":"Netto Umsatz","readOnly":true},"revenue":{"type":"number","description":"Deckungsbeitrag (absolut)","readOnly":true},"revenueInPercent":{"type":"number","description":"Deckungsbeitrag (Prozent)","readOnly":true}}},"erp-document-DocumentContractDetail":{"description":"Vertragsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Vertragsstart (nur Kopf)"},"endDate":{"type":"string","format":"date","description":"Vertragsende (nur Kopf)"},"runtimeFromDate":{"type":"string","format":"date","description":"Laufzeit von"},"runtimeToDate":{"type":"string","format":"date","description":"Laufzeit bis"},"lastCustomerCancellationDate":{"type":"string","format":"date","description":"Letztmöglicher kündigungstermin des Kunden"},"lastProviderCancellationDate":{"type":"string","format":"date","description":"Letztmöglicher kündigungstermin des Anbieters"},"dueDateCalculation":{"type":"string","description":"Cron-Ausdruck zur Berechnung der Fälligkeit"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"nextDueDate":{"type":"string","format":"date","description":"Nächste Fälligkeit"},"calculateDirectly":{"type":"boolean","description":"Direkt abrechnen?"},"active":{"type":"boolean","default":true,"description":"Vertrag aktiv?"},"publishInPortal":{"type":"boolean","default":false,"description":"Portal anzeigen?"}},"required":["dueDateCalculation"]},"erp-document-DocumentLinePosDetail":{"description":"Kasseninformationen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posLineType":{"type":"string","description":"Typ der Position","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeId":{"type":"integer","format":"int64","description":"Typ der Einlage/Ausgabe"},"paymentMethodId":{"type":"integer","format":"int64","description":"Zahlungsart"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID für Verbindung zum Payment-Backend"},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend (nur bei fehlgeschlagener Zahlung)"},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation (PAYMENT, CANCEL, REFUND)","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung (nur bei CANCEL)"},"withdrawalMode":{"type":"string","description":"Modus für die Entnahme einer Kassenzahlungsart beim Kassenabschluss","enum":["FULL","BALANCE","MANUAL","NONE"],"readOnly":true},"balanceBeforeWithdrawal":{"type":"number","description":"Saldo der Zahlungsart vor Abschöpfung","readOnly":true},"withdrawalAmount":{"type":"number","description":"Abschöpfungsbetrag (Modus MANUAL)","readOnly":true},"withdrawToBalance":{"type":"number","description":"Abschöpfung auf Betrag (Modus BALANCE) — Restbetrag, der in der Kasse verbleibt","readOnly":true}}},"erp-fabrication-DocumentLineFabricationDetail":{"description":"Produktionsdetails zu einer Position","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumbers":{"type":"array","description":"Produzierte Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetailSerialNumber"}},"quantityCommitted":{"type":"number","description":"Menge produziert"},"quantityInQA":{"type":"number","description":"Menge in QS"},"quantityDefective":{"type":"number","description":"Menge defekt"},"quantityFinished":{"type":"number","description":"Menge abgeschlossen"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-fabrication-DocumentLineFabricationDetailSerialNumber":{"description":"Produzierte Seriennummern zu einer Position","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Produzierte/geplante Menge"},"quantityCommitted":{"type":"number","description":"Tatsächlich produzierte Menge"},"quantityInQA":{"type":"number","description":"Menge in QS"},"quantityDefective":{"type":"number","description":"Menge defekt"},"quantityFinished":{"type":"number","description":"Menge abgeschlossen"},"bookedComponents":{"type":"array","description":"Gebuchte Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationBookedComponent"}}},"required":["quantity","quantityCommitted","serialNumber"]},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"erp-fabrication-DocumentLineFabricationBookedComponent":{"description":"Gebuchte Komponenten zu einer produzierten Seriennummer","properties":{"articleId":{"type":"integer","format":"int64","description":"ID des Artikels"},"number":{"type":"string","description":"Nummer des Artikels"},"name":{"type":"string","description":"Name des Artikels"},"description":{"type":"string","description":"Beschreibung des Artikels"},"quantity":{"type":"number","description":"Verwendete Menge"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-document-DocumentFinanceBooking":{"description":"FiBu-Buchung","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineId":{"type":"integer","format":"int64","description":"Id der Dokumentzeile"},"ledgerNumber":{"type":"string","description":"FiBu-Kontonummer"},"transactionKey":{"type":"string","description":"Buchungsschlüssel"},"costCenter1":{"type":"string","description":"Kostenstelle"},"comment":{"type":"string","description":"Kommentar"},"description":{"type":"string","description":"Buchungstext"}}},"erp-document-DocumentShippingCost":{"description":"Versandkosten im Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"costs":{"type":"number","description":"Die Versandkosten"},"manualCosts":{"type":"boolean","default":false,"description":"Wurden die Versandkosten manuell eingetragen?"},"freeShipping":{"type":"boolean","default":false,"description":"Keine Versandkosten (freier Versand)"},"name":{"type":"string","description":"Artikelname"},"description":{"type":"string","description":"Artikelbeschreibung"},"texts":{"type":"array","description":"Texte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"taxes":{"type":"array","description":"Steuern","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"purchasePrice":{"type":"number","description":"Einkaufspreis"}}},"erp-document-DocumentPosPayment":{"description":"Kassen-Zahlung im Beleg","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"amount":{"type":"number","description":"Betrag"},"posLineType":{"type":"string","description":"Typ der Position","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"Externe Payment-ID für Verbindung zum Payment-Backend","readOnly":true},"externalPaymentStatus":{"type":"string","description":"Status der externen Zahlung","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"],"readOnly":true},"externalPaymentErrorMessage":{"type":"string","description":"Fehlermeldung vom Payment-Backend (nur bei fehlgeschlagener Zahlung)","readOnly":true},"paymentOperation":{"type":"string","description":"Art der Zahlungsoperation (PAYMENT, CANCEL, REFUND)","enum":["PAYMENT","CANCEL","REFUND"],"readOnly":true},"cancelledExternalPaymentId":{"type":"string","description":"Externe Payment-ID der zu stornierenden Zahlung (nur bei CANCEL)","readOnly":true},"withdrawalMode":{"type":"string","description":"Modus für die Entnahme einer Kassenzahlungsart beim Kassenabschluss","enum":["FULL","BALANCE","MANUAL","NONE"]},"balanceBeforeWithdrawal":{"type":"number","description":"Saldo der Zahlungsart vor Abschöpfung (vom Backend gesetzt)","readOnly":true},"withdrawalAmount":{"type":"number","description":"Abschöpfungsbetrag. Im Modus MANUAL vom Anwender vorgegeben; in den Modi FULL/BALANCE/NONE vom Backend aus aktuellem Saldo berechnet"},"withdrawToBalance":{"type":"number","description":"Abschöpfung auf Betrag (Modus BALANCE) — Restbetrag, der in der Kasse verbleibt"}},"required":["amount","posLineType"]},"erp-document-DocumentAddress":{"description":"Lieferadresse","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"address line 1"},"name2":{"type":"string","description":"address line 2"},"name3":{"type":"string","description":"address line 3"},"globalLocationNumber":{"type":"string","description":"GLN"},"street":{"type":"string","description":"Street"},"streetAddressNumber":{"type":"string","description":"Street address number"},"additionalAddressLine1":{"type":"string","description":"Additional address line1"},"additionalAddressLine2":{"type":"string","description":"Additional address line2"},"city":{"type":"string","description":"city"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"postcode":{"type":"string","description":"Postcode"},"postOfficeBox":{"type":"string","description":"Post office box"},"countryCode":{"type":"string","description":"country code IsoAlpha3"},"phoneContact":{"type":"string","description":"Phone contact"},"mailContact":{"type":"string","description":"Mail contact"},"languageCode":{"type":"string","description":"Language Code"},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag-Typen","enum":["COMMON","ACCOUNT","PRODUCT","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Beschriftung des Tags"},"color":{"type":"string","description":"Farbe für die Anzeige des Tags"},"editColor":{"type":"string","description":"Farbe in Verwaltungs-GUI"},"searchColor":{"type":"string","description":"Farbe in Such-GUI"},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-document-DocumentPosDetail":{"description":"Quittungsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDrawerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashJournalRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fiscalizationBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"tssSignature":{"$ref":"#/components/schemas/erp-pos-TssSignature"},"externalReference":{"type":"string","description":"Externe Referenz","readOnly":true},"timeStart":{"type":"integer","format":"int64","description":"Transaktion Startzeit"},"timeEnd":{"type":"integer","format":"int64","description":"Transaktion Endzeit"},"clientSerialNumber":{"type":"string","description":"Client Seriennummer"},"tssSerialNumber":{"type":"string","description":"TSS Seriennummer"},"transactionNumber":{"type":"integer","format":"int64","description":"Transaktionsnummer"},"revision":{"type":"integer","format":"int32","description":"Revision"},"signatureCounter":{"type":"integer","format":"int64","description":"Signaturzähler"},"signature":{"type":"string","description":"Signatur"}}},"erp-pos-TssSignature":{"description":"TSS Signatur","properties":{"status":{"type":"string","description":"Status der Signierung","enum":["FINISHED","ACTIVE","CANCELLED","ERROR"],"readOnly":true},"responseData":{"type":"string","description":"Antwortdaten der TSS","readOnly":true},"externalReference":{"type":"string","description":"Externe Referenz","readOnly":true},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true}}},"erp-fabrication-DocumentFabricationDetail":{"description":"Produktionsdetails","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"minimumDegreeOfFulfillment":{"type":"integer","format":"int32","description":"Minimaler Erfüllungsgrad","maximum":100,"minimum":0},"note":{"type":"string","description":"Notiz","maxLength":2147483647,"minLength":0},"componentsStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-document-DocumentAdditionalInfo":{"description":"Zusätzliche Infos zu Entscheidungen im Belegkontext","properties":{"calculationModeOrigin":{"type":"string","description":"Herkunft des Berechnungsmodus","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT","FROM_SALES_CHANNEL","FROM_DOCUMENT_PARAMS","USER_DEFINED"],"readOnly":true},"roundingMode":{"type":"string","description":"Aktiver Rundungsmodus für diesen Beleg (eingefroren aus dem SalesChannel)","enum":["NONE","SWITZERLAND"],"readOnly":true},"en16931Origin":{"type":"string","description":"Herkunft des E-Rechnungs-Profils","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT_PARAMS","USER_DEFINED"],"readOnly":true},"buyerReferenceOrigin":{"type":"string","description":"Herkunft der Käufer-Referenz","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","USER_DEFINED"],"readOnly":true},"previousDecisions":{"type":"string","description":"Enthält die Ergebnisse von vorherigen Entscheidungen des Benutzers zu diesem Document","readOnly":true},"taxSituationOrigin":{"type":"string","description":"Steuersachverhalt Herkunft","enum":["UNDEFINED","USER_DEFINED","FROM_CUSTOMER","FROM_SUPPLIER","FROM_SALES_AGENT","FROM_DELIVERY_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_OWN_ADDRESS","FROM_TAX_ID"]},"languageCodeOrigin":{"type":"string","description":"Herkunft der Sprache","enum":["FROM_DELIVERY_ADDRESS","FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_MY_COMPANY"]},"contextParameters":{"type":"array","description":"Parameter, welche im {@link DocumentContext} verwendet wurden","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"incomingGoodsTarget":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTarget"},"translations":{"type":"array","description":"Übersetzungen","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.PrintedTranslatedField"}},"incomingGoodsTargetsPerLine":{"type":"array","description":"Ziele für den Wareneingang je Belegposition","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine"}},"orderIntoPickingConvertResults":{"type":"array","description":"Ergebnisse zu Übernahme \"Auftrag in Kommissionierung\"","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.OrderIntoPickingConvertResult"}}}},"common-api-AdditionalParameter":{"description":"Zusätzliche Parameter","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-document-DocumentAdditionalInfo.IncomingGoodsTarget":{"description":"Ziele für den Wareneingang","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Lagerplatz für den Wareneingang"},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pickwagen für den Wareneingang"}}},"erp-document-DocumentAdditionalInfo.PrintedTranslatedField":{"description":"Übersetzungen","properties":{"entityName":{"type":"string","description":"zur welcher Entity?"},"fieldName":{"type":"string","description":"name des Feldes"},"content":{"type":"string","description":"Übersetzung"}}},"erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine":{"description":"Ziele für den Wareneingang","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Lagerplatz für den Wareneingang"},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pickwagen für den Wareneingang"},"lineId":{"type":"integer","format":"int64","description":"ID einer Belegposition"},"sourceLineId":{"type":"integer","format":"int64","description":"ID einer Vorbelegposition"}}},"erp-document-DocumentAdditionalInfo.OrderIntoPickingConvertResult":{"description":"Ergebnis der Übernahme eines Auftrags in Kommissionierung","properties":{"testRun":{"type":"boolean","default":false,"description":"War es eine Testübernahme?"},"success":{"type":"boolean","default":false,"description":"War die Übernahme erfolgreich?"},"logText":{"type":"string","description":"Protokoll der Übernahme"}}}}}}
```

## GET /erp/fabrication/{fabricationOrderId}/revert-all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Produktion","description":"Funktionen zur Verarbeitung von Produktionsbelegen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert-all":{"get":{"tags":["Produktion"],"operationId":"getDetailsForProductionReversalOfDocument","parameters":[{"name":"fabricationOrderId","in":"path","description":"ID des Produktionsbelegs","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-fabrication-DetailsForProductionReversal"}}}}}}}}},"components":{"schemas":{"erp-fabrication-DetailsForProductionReversal":{"description":"Details zur Stornierung einer Position","properties":{"documentId":{"type":"integer","format":"int64","description":"ID des Belegs"},"documentLineId":{"type":"integer","format":"int64","description":"ID der Belegposition"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"producedQuantity":{"type":"number","description":"Noch zu produzierende Menge"},"producedSerialNumbers":{"type":"array","description":"Produzierte Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationProducedSerialNumber"}},"usedComponents":{"type":"array","description":"Verbaute Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationUsedComponent"}}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-fabrication-FabricationProducedSerialNumber":{"description":"Produzierte Seriennummer zu einer Position","properties":{"articleSerialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Menge"}}},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-fabrication-FabricationUsedComponent":{"description":"Verbaute Komponenten","properties":{"documentLineComponentId":{"type":"integer","format":"int64","description":"ID der Komponente"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Verbaute Menge"},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]}}}}}}
```

## POST /erp/fabrication/{fabricationOrderId}/revert-all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"Produktion","description":"Funktionen zur Verarbeitung von Produktionsbelegen"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert-all":{"post":{"tags":["Produktion"],"operationId":"revertAll","parameters":[{"name":"fabricationOrderId","in":"path","description":"ID des Produktionsbelegs","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationRevertRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-Document"}}}}}}}},"components":{"schemas":{"erp-fabrication-FabricationRevertRequest":{"description":"Details zur Stornierung der Produktion einer Position","properties":{"documentLineId":{"type":"integer","format":"int64","description":"ID der zu stornierenden Position"},"quantity":{"type":"number","description":"Zu stornierende Menge"},"autoRevertComponents":{"type":"boolean","default":true,"description":"Material automatisch stornieren"},"serialNumbers":{"type":"array","description":"Zu stornierende Seriennummern","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}},"componentsToRevert":{"type":"array","description":"Zu stornierendes Material","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationComponentForProduction"}}},"required":["documentLineId","quantity"]},"erp-fabrication-FabricationSerialNumber":{"description":"Zu produzierende Seriennummer","properties":{"quantity":{"type":"number","description":"Abweichende Menge für Chargen"},"serialNumberId":{"type":"integer","format":"int64","description":"ID der zu produzierenden Seriennummer (nur zur gezielten Produktion von bereits definierten Seriennummern)"},"serialNumber1":{"type":"string","description":"Seriennummer 1"},"serialNumber2":{"type":"string","description":"Seriennummer 2"},"expiryDate":{"type":"string","format":"date","description":"MHD / Verfallsdatum"},"note":{"type":"string","description":"Bemerkung"}}},"erp-fabrication-FabricationComponentForProduction":{"description":"Für die Produktion zu verwendendes Material","properties":{"serialNumberId":{"type":"integer","format":"int64","description":"Zu produzierende Seriennummer, für die die Komponente verwendet werden"},"documentLineComponentId":{"type":"integer","format":"int64","description":"ID der Komponente"},"articleSerialNumberId":{"type":"integer","format":"int64","description":"ID einer Seriennummer"},"quantity":{"type":"number","description":"Zu verwendende Menge"}},"required":["documentLineComponentId","quantity"]},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Belegnummer","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Kontonummer der zugehörigen Organisationseinheit","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Kundennummer","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Kundennummer beim Lieferanten","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Lieferantennummer","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Vertreternummer","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"Externe Kennung","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"Externe Belegnummer","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Ist der Beleg veröffentlicht (gedruckt, per Mail versendet)?","readOnly":true},"frozen":{"type":"boolean","default":false,"description":"Ist der Beleg festgeschrieben?","readOnly":true},"qualifier":{"type":"string","description":"Art des Belegs","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION"],"readOnly":true},"accountId":{"type":"string","description":"ID der Organisationseinheit"},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Belegdatum"},"performanceDate":{"type":"string","format":"date","description":"Leistungsdatum"},"valueDate":{"type":"string","format":"date","description":"Valutadatum"},"taxable":{"type":"boolean","default":true,"description":"Steuerpflichtig oder steuerfrei"},"taxIdentificationNumber":{"type":"string","description":"Umsatzsteuer-Identifikationsnummer","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Überprüfungsstatus der Steueridentifikationsnummer","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validierungsstatus bei elektronischen Rechnungen","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Abrechnungstyp","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Belegtyp (intern)","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"ID des Belegtyps","readOnly":true},"documentTypeCategory":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"currencyCode":{"type":"string","description":"Währung (ISO-Code, Alpha-3)"},"exchangeRate":{"type":"number","description":"Wechselkurs"},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Ursprung für Währungskursermittlung","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Gesamtpreis vor Rabatt [BRUTTO, NETTO]","readOnly":true},"totalPriceModifier":{"type":"number","description":"Rabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Positionsrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Belegrabatt gesamt [BRUTTO, NETTO]","readOnly":true},"totalNetPrice":{"type":"number","description":"Gesamtpreis netto","readOnly":true},"totalVat":{"type":"number","description":"Gesamte Mehrwertsteuer","readOnly":true},"totalGrossPrice":{"type":"number","description":"Gesamtpreis brutto","readOnly":true},"roundingAmount":{"type":"number","description":"Endbetragsrundung: Differenz zwischen gerundetem Brutto und (Netto + MwSt)","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Vereinbarter Anzahlungsbetrag"},"depositPaymentDate":{"type":"string","format":"date","description":"Vereinbartes Anzahlungsdatum","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Voraussichtliches Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"Voraussichtliches Lieferende (nur wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Bestätigtes Lieferende (nur wenn bestätigtes Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Voraussichtliche Paketanzahl (nur Info)"},"deliveryText":{"type":"string","description":"Zusätzlicher Liefertext","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Ist der Beleg zur Lieferung freigegeben?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Ist der Streckengeschäfts-Beleg zur Rechnung freigegeben?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Bestelldatum"},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name der bestellenden Person","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Reverse-Charge-Verfahren nach §13b UStG?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Sammelrechnung?"},"texts":{"type":"array","description":"Liste der Belegtexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Liste der Belegpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Versandkostenpositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"Kassen-Zahlungspositionen","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Summe der Versandkosten (netto/brutto)","readOnly":true},"priceModifiers":{"type":"array","description":"Preisänderungen (z.B. Rabatte)","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Steuerzusammenfassung für diesen Beleg","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Stapelverarbeitungsinformationen für Aufträge","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priorität in der Stapelverarbeitung"},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximal mögliche Lieferungen"},"taxPerformanceLocation":{"type":"string","description":"Ort der steuerlichen Leistungserbringung","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"performanceCountryCode":{"type":"string","description":"Länderkennzeichen Leistungsland (ISO Alpha-3)"},"sourceCountryCode":{"type":"string","description":"Länderkennzeichen Ursprungsland (ISO Alpha-3)"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"Gesamtgewicht wurde manuell gesetzt"},"tags":{"type":"array","description":"Tags für diesen Beleg","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Skontofähiger Bruttogesamtbetrag","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931-Profil für elektronische Rechnungen","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Importmodus des Belegs","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE","EXTERNALLY_CREATED"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Zahlungsplan vorhanden?"},"calculationMode":{"type":"string","description":"Berechnungsmodus","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Wird vom Workflow verarbeitet?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Bestellnummer aus Vorbeleg","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Sprache"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Belegs"},"baseTotalNetPrice":{"type":"number","description":"Gesamtpreis - Netto Basiswährung"},"baseTotalLinePriceModifier":{"type":"number","description":"Preisanpassungen - Belegpositionssumme Basiswährung"},"baseTotalDocumentPriceModifier":{"type":"number","description":"Preisanpassungen - Beleg Basiswährung"},"baseTotalGrossPrice":{"type":"number","description":"Gesamtpreis - Brutto Basiswährung"},"baseDepositPaymentAmount":{"type":"number","description":"Vorkassebetrag Basiswährung"},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"skontierbarer Rechnungsbetrag Basiswährung"},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"E-Mail an Versender übergeben"},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Telefon an Versender übergeben"},"posReceiptPaymentSum":{"type":"number","description":"Quittung: Summe Zahlbetrag"},"posReceiptBalance":{"type":"number","description":"Quittung: Saldo\npositiver Wert: Betrag der noch zu zahlen ist\nnegativer Wert: überzahlter Betrag / Rückgeld\n"},"posReceiptChangeAmount":{"type":"number","description":"Rückgeld"},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Ist die Quittung ausbalanciert, also bezahlt und kein Rückgeld\ntrue wenn die Quittung ausbalanciert ist\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Ist die Quittung bezahlt\ntrue wenn die Quittung bezahlt ist\n"},"dropShipping":{"type":"boolean","description":"Streckengeschäft","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-document-DocumentTypeState":{"description":"Statusinstanz des Belegs","properties":{"label":{"type":"string","description":"label/name of this state"},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]},"erp-document-PaymentTermRef":{"description":"Refernez auf PaymentTerm mit Kennzeichen Anzahlung/Vorkasse","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true},"paymentType":{"type":"string","description":"payment type","enum":["PREPAYMENT","PAYMENT","DEPOSIT"]}},"required":["id","paymentType"]},"erp-document-DocumentText":{"description":"Texte","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"textPosition":{"type":"string","default":"HEADER_TEXT","description":"position relative to the product line OR Document. For usage within text-line, this position is irrelevant","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"if this attribute is used, the text is used as free-text"},"textTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transferableIntoSubsequentDocuments":{"type":"boolean","default":true,"description":"Does this text remain after transfer into a subsequent document"},"deleted":{"type":"boolean","default":false,"description":"Wurde entfernt und soll deshalb nicht mehr angezeigt werden."},"initialized":{"type":"boolean","description":"ist der content befüllt?","readOnly":true}},"required":["deleted"]},"erp-document-DocumentLine":{"description":"Liste der Belegpositionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Positions-Nummer","readOnly":true},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Positionsnummer über alle Artikelpositionen hinweg","readOnly":true},"articleId":{"type":"string","description":"Artikel"},"lineType":{"type":"string","description":"Positionstyp","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS","ROUNDING_LINE","OPEN_ITEM_SETTLEMENT","ON_ACCOUNT_PAYMENT"]},"productType":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"serialType":{"type":"string","description":"Serientyp eines Artikels","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"number":{"type":"string","description":"Artikelnummer","maxLength":255,"minLength":0},"name":{"type":"string","description":"Name des Artikels","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung des Artikels","maxLength":2147483647,"minLength":0},"unitType":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"price":{"type":"number","description":"Preis pro Menge [Brutto, Netto]"},"priceUnit":{"type":"number","description":"Preiseinheit"},"priceOrigin":{"type":"string","description":"Preisherkunft","enum":["USER_DEFINED","PRODUCT","PREDECESSOR_DOCUMENT","PICKLIST"],"readOnly":true},"priceSelectionCriteria":{"$ref":"#/components/schemas/erp-product-PriceSelectionCriteria"},"quantity":{"type":"number","description":"Menge"},"quantityCommitted":{"type":"number","description":"verarbeitete Menge","readOnly":true},"pickingQuantity":{"type":"number","description":"Menge in Pick-Vorgang","readOnly":true},"preOrderPickedQuantity":{"type":"number","description":"vorgeorderte Menge in Pickvorgang","readOnly":true},"complete":{"type":"boolean","default":false,"description":"ist diese Position komplett verarbeitet?","readOnly":true},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxes":{"type":"array","description":"Steuern","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"totalLinePriceModifier":{"type":"number","description":"Summe Positionspreisänderungen [Brutto, Netto]","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Summe Dokumentpreisänderungen [Brutto, Netto]","readOnly":true},"priceModifiers":{"type":"array","description":"angewendete Preisänderungen","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"salesValueNet":{"type":"number","description":"Netto-Gesamtpreis (nach Preisänderungen)","readOnly":true},"vat":{"type":"number","description":"Steuerbetrag","readOnly":true},"totalLinePrice":{"type":"number","description":"Positionssumme [Brutto, Netto], also Preis*Menge ./. Positionsrabatte","readOnly":true},"texts":{"type":"array","description":"Positionstexte","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"country":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"countryRegion":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customsTariffNumber":{"type":"string","description":"Zolltarifnummer","maxLength":15,"minLength":0},"deliveryDate":{"type":"string","format":"date","description":"Lieferdatum"},"deliveryDateEnd":{"type":"string","format":"date","description":"vorr. Ende des Lieferzeitraums (nur notwendig für Lieferzeiträume, wenn Lieferdatum gesetzt)"},"confirmedDeliveryDate":{"type":"string","format":"date","description":"bestätigtes Lieferdatum"},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"bestätigtes Ende des Lieferzeitraums (nur notwendig für Lieferrzeiträume, wenn Lieferdatum gesetzt)"},"shippingDate":{"type":"string","format":"date","description":"Versanddatum"},"deliveryText":{"type":"string","description":"Liefertext","maxLength":255,"minLength":0},"packageOptions":{"type":"string","description":"Versenderspezifische Informationen"},"externalReferenceVds":{"type":"string","description":"Externe Referenz zum VDS-Paket","maxLength":255,"minLength":0},"netWeight":{"type":"number","description":"Nettogewicht"},"totalNetWeight":{"type":"number","description":"Gesamtnettogewicht"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossWeight":{"type":"number","description":"Bruttogewicht"},"totalGrossWeight":{"type":"number","description":"Gesamtbruttogewicht"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"Inhalt der Maßeinheit"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"Inhalt der Grundeinheit"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sourceLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"baseLineId":{"type":"integer","format":"int64","description":"Referenz zur Basiszeile"},"mainArticleLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemBalance":{"type":"number","description":"Offener Restbetrag des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemPaymentDueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemDiscountAmount":{"type":"number","description":"Zum Belegdatum anwendbares Skonto des auszugleichenden Offenen Postens (nur in der Response)"},"settledOpenItemComment":{"type":"string","description":"Bemerkung zur OP-Position - wird beim Abschluss in den Kommentar des Offenen Postens übernommen"},"customerOrderLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"supplierOrderLineIds":{"type":"array","description":"Referenz zur Lieferantenbestellungszeile","items":{"type":"integer","format":"int64","description":"Referenz zur Lieferantenbestellungszeile"}},"storage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"components":{"type":"array","description":"Komponenten","items":{"$ref":"#/components/schemas/erp-document-DocumentLineComponent"}},"fabricationComponents":{"type":"array","description":"Komponenten","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationComponent"}},"bookings":{"type":"array","description":"Buchungen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"commissions":{"type":"array","description":"Provisionen","items":{"$ref":"#/components/schemas/erp-document-DocumentLineCommission"}},"previousDecisions":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"articleTaxLiabilityReversed":{"type":"boolean","default":false,"description":"Vorgabe §13b UStG Artikel","readOnly":true},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"wird §13b UStG angewendet?","readOnly":true},"presetPrice":{"type":"number","description":"Vorgabewert für die Preiskalkulation","readOnly":true},"calculationData":{"type":"string","description":"Kalkulationsstruktur"},"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"commissionOrigin":{"type":"string","description":"Provisionsursprung","enum":["NO
[...]
